/*	Tape Deck status structure. 
	(c) 1986 Todor Fay
*/ 
 
struct TapeState { 
    long length; 
    struct Track *toptrack; 		/* Top track in list. */
    struct Track *activetrack; 		/* Current active edit track. */
    unsigned long td_timer;		/* Current time in MIDI clocks. */
    unsigned long punchin, punchout;	/* Punch in and out points. */
    char trackname[40]; 		/* The file name of the list. */
    struct Link *garbagelist;
    struct Link *notgarbage;
};

